Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048000
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2021-11-06 11:342021-12-15 11:11
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in VersionRR22Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048000: Remove obsolete storeserver related code from mobile.core

Descriptionorg.openbravo.mobile.core module still retains some code related to the obsolete storeserver project.

As that is long obsolete it should be cleaned up.
Steps To Reproducegrep -Iir storeserver
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0047989 closedshuehner Retail Modules Remove obsolete storeserver related code from posterminal 
depends on defect 0047998 closedshuehner Retail Modules Remove obsolete storeserver related code (use of MultiServerRequestExecutor) from orderpreparation 
depends on defect 0047999 closedshuehner Retail Modules Remove obsolete storeserver related code from sendemail module 
depends on defect 0048001 closedshuehner Retail Modules Remove obsolete storeserver related code from sessions module 
depends on defect 0048002 closedshuehner Retail Modules Remove obsolete storeserver related entries from org.openbravo.retail.sampledata 
depends on design defect 0048008 closedshuehner Retail Modules Tracking issue: Remove obsolete/non-working Synchronized Mode 
related to defect 0048015 closedshuehner Retail Modules Remove obsolete multiserver/storeserver tests from mobile-test repo 
related to defect 0048218 acknowledgedRetail POS2 Cleanup preference list if CashupStatisticsMock.config.json 
related to defect 0048219 closedrqueralta Retail Modules Review and cleanup originServer references (likely leftover from obsolete storeserver project) 
related to defect 0048227 closedRetail Retail Modules mobile.core api change related to storeserver code removal 
blocks defect 0047987 closedshuehner Openbravo ERP Remove obsolete storeserver related code from backoffice 
blocks defect 0048220 newrqueralta Retail Modules mobile:core: Delete the MultiServerJSONProcess class which is part of obsolete storeserver code. 

-  Notes
(0132879)
hgbot (developer)
2021-11-06 11:42

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/298 [^]
(0133493)
hgbot (developer)
2021-12-02 18:18

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/298 [^]
(0133494)
hgbot (developer)
2021-12-02 18:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/307 [^]
(0133629)
hgbot (developer)
2021-12-11 14:33

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/merge_requests/307 [^]
(0133717)
hgbot (developer)
2021-12-15 11:11

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core [^]
Changeset: 06e07c4030aacb03f28176a92ad61aedb82014fd
Author: Stefan Huehner <stefan.huehner@openbravo.com>
Date: 11-12-2021 14:30:48
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.mobile.core/-/commit/06e07c4030aacb03f28176a92ad61aedb82014fd [^]

Fixes ISSUE-48000: Remove obsolete storeserver code

---
---

- Issue History
Date Modified Username Field Change
2021-11-06 11:34 shuehner New Issue
2021-11-06 11:34 shuehner Assigned To => shuehner
2021-11-06 11:34 shuehner Triggers an Emergency Pack => No
2021-11-06 11:34 shuehner Issue generated from 0047989
2021-11-06 11:34 shuehner Relationship added depends on 0047989
2021-11-06 11:34 shuehner Relationship added depends on 0047998
2021-11-06 11:34 shuehner Relationship added depends on 0047999
2021-11-06 11:34 shuehner Relationship added blocks 0047987
2021-11-06 11:42 hgbot Note Added: 0132879
2021-11-06 12:31 shuehner Relationship added depends on 0048001
2021-11-06 13:55 shuehner Relationship added depends on 0048002
2021-11-09 11:19 shuehner Relationship added depends on 0048008
2021-11-09 13:55 shuehner Relationship added related to 0048015
2021-11-10 09:49 shuehner Relationship added depends on 0048023
2021-11-10 09:55 shuehner Relationship added depends on 0048024
2021-11-10 09:55 shuehner Relationship added depends on 0048025
2021-12-02 18:18 hgbot Note Added: 0133493
2021-12-02 18:25 hgbot Note Added: 0133494
2021-12-10 13:12 shuehner Relationship added related to 0048218
2021-12-10 13:15 shuehner Relationship added related to 0048219
2021-12-10 13:37 shuehner Relationship added blocks 0048220
2021-12-10 13:37 shuehner Relationship deleted depends on 0048023
2021-12-10 13:37 shuehner Relationship deleted depends on 0048024
2021-12-10 13:37 shuehner Relationship deleted depends on 0048025
2021-12-11 13:30 shuehner Relationship added related to 0048227
2021-12-11 14:33 hgbot Note Added: 0133629
2021-12-15 11:11 hgbot Resolution open => fixed
2021-12-15 11:11 hgbot Status new => closed
2021-12-15 11:11 hgbot Fixed in Version => RR22Q1
2021-12-15 11:11 hgbot Note Added: 0133717


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker